Xen IRQ 矢量泄漏 DoS (XSA-360)

medium Nessus 插件 ID 149086
全新!插件严重性现在使用 CVSS v3

计算的插件严重性默认已更新为使用 CVSS v3。没有 CVSS v3 分数的插件将回退到 CVSS v2 来计算严重性。可以在设置下拉列表中切换严重性显示首选项。

简介

远程 Xen 虚拟机监控程序安装缺少安全更新。

描述

根据其自我报告的版本号,远程主机上安装的 Xen 虚拟机监控程序受到拒绝服务 (DoS) 漏洞的影响。具有 PCI 传递设备的 x86 HVM 客户机可通过在启用 MSI 或 MSI-X 功能并设置条目的情况下自行重新启动,在系统上强制分配所有 IDT 矢量。此类重新启动会泄漏客户机可能已启用的 MSI (-X) 条目使用的任何矢量,因而导致系统上的矢量耗尽,不允许进一步的 PCI 传递设备正常工作。具有 PCI 传递设备的 HVM 客户机可装载 DoS 攻击,影响 PCI 设备传递至其他客户机或硬件域。在后一种情况下,这会影响整个主机。

请注意,Nessus 尚未测试此问题,而是只依赖于应用程序自我报告的版本号。

解决方案

根据供应商公告应用相应的修补程序。

另见

https://xenbits.xen.org/xsa/advisory-360.html

插件详情

严重性: Medium

ID: 149086

文件名: xen_server_XSA-360.nasl

版本: 1.2

类型: local

系列: Misc.

发布时间: 2021/4/29

最近更新时间: 2021/4/30

依存关系: xen_server_detect.nbin

配置: 启用偏执模式

风险信息

CVSS 分数来源: CVE-2021-3308

VPR

风险因素: Low

分数: 3.6

CVSS v2

风险因素: Medium

基本分数: 4.9

时间分数: 3.6

矢量: AV:L/AC:L/Au:N/C:N/I:N/A:C

时间矢量: E:U/RL:OF/RC:C

CVSS v3

风险因素: Medium

基本分数: 5.5

时间分数: 4.8

矢量: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H

时间矢量: E:U/RL:O/RC:C

漏洞信息

CPE: cpe:/o:xen:xen

必需的 KB 项: installed_sw/Xen Hypervisor, Settings/ParanoidReport

易利用性: No known exploits are available

补丁发布日期: 2021/1/21

漏洞发布日期: 2021/1/21

参考资料信息

CVE: CVE-2021-3308